{
  stdenv, lib
, fetchgit

, meson, cmake, pkg-config, ninja
, gtk3, gobject-introspection, libgee, gtk-layer-shell, dbus, libhandy, json-glib, vala
, wrapGAppsHook
}:

stdenv.mkDerivation {
  pname = "swaync";
  version = "0.2";

  src = fetchgit {
    url = "https://github.com/ErikReider/SwayNotificationCenter.git";
    rev = "9aae9c92c8c4b0a0af64518fcee91ab300fc65ea";
    sha256 = "1yrhwafpj2gjyf8aiq8nwaxb66h54vliph1d4gpnlih6ca3627il";
  };

  buildInputs = [ gtk3 gtk-layer-shell gobject-introspection libgee libhandy dbus json-glib vala ];
  nativeBuildInputs = [ wrapGAppsHook meson cmake pkg-config ninja ];

  strictDeps = false;
  
  meta = with lib; {
    description = "A simple notification daemon with a gui built for Sway";
    homepage = "https://github.com/ErikReider/SwayNotificationCenter";
    maintainers = [];
    platforms = platforms.linux;
  };
}
